gnome-power-manager crashed with SIGSEGV in g_cclosure_marshal_VOID__VOID()

Bug #431023 reported by ຄຳ on 2009-09-16
408
This bug affects 87 people
Affects Status Importance Assigned to Milestone
gnome-power
Fix Released
High
gnome-power-manager (Ubuntu)
High
Martin Pitt

Bug Description

Binary package hint: gnome-power-manager

Just a crashing program. Didn't see this problem before Sept. 17 2009.

ProblemType: Crash
Architecture: i386
Date: Thu Sep 17 00:11:23 2009
DistroRelease: Ubuntu 9.10
ExecutablePath: /usr/bin/gnome-power-manager
Package: gnome-power-manager 2.27.92-0ubuntu1
ProcCmdline: gnome-power-manager
ProcEnviron:
 PATH=(custom, user)
 LANG=de_AT.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-10.34-generic
SegvAnalysis:
 Segfault happened at: 0x8053413 <cairo_move_to@plt+17783>: mov 0x8(%eax),%eax
 PC (0x08053413) ok
 source "0x8(%eax)" (0x00000008) not located in a known VMA region (needed readable region)!
 destination "%eax" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: gnome-power-manager
StacktraceTop:
 ?? ()
 ?? ()
 g_cclosure_marshal_VOID__VOID ()
 g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
 ?? () from /usr/lib/libgobject-2.0.so.0
Title: gnome-power-manager crashed with SIGSEGV in g_cclosure_marshal_VOID__VOID()
Uname: Linux 2.6.31-10-generic i686
UserGroups: adm admin cdrom dialout lpadmin netdev plugdev sambashare

ຄຳ (bz-datenkueche) wrote :

StacktraceTop:gpm_disks_set_spindown_timeout (disks=0x839d1b0, timeout=60)
gpm_manager_client_changed_cb (client=0x83c2880,
IA__g_cclosure_marshal_VOID__VOID (closure=0x8404f70,
IA__g_closure_invoke (closure=0x8404f70, return_value=0x0,
signal_emit_unlocked_R (node=<value optimized out>,

Changed in gnome-power-manager (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace
Connor Imes (ckimes) on 2009-09-20
visibility: private → public
Jack Leigh (leighman) wrote :

Just got this when unplugging my laptop

On Sun, Sep 20, 2009 at 03:28:43PM -0000, Leighman wrote:
> Just got this when unplugging my laptop

It happened for me when connecting to mains power after running on battery
for a while.

--
 - mdz

AnthonyC (capone) wrote :

It happened to me, when I plugged the power back in the laptop...I had only been on battery for a few mins...

avinas (avinas17) wrote :

Same here on uplugigng sony vaio vgn-s1xp

Adam Collard (adam-collard) wrote :

Happened here on unplugging a T43

MSI Wind u90x no plugging/unplugging. System was left on a battery unattended for a while...

Katsudon (katsudon) wrote :

At a random moment, running on AC, Thinkpad X61s.

cyd (cyd) wrote :

on asus EEE 1000he same problem, random

Julius Thor (joolli) wrote :

Happened to me when the backlight lowered it's brightness after a little idle-time on battery.

DavidW617 (davidw617) wrote :

Happened to me when unplugging my HP Mini 1010 while the lid was still closed. Normally, I expect it to suspend when I do that.

nandhp (nandhp) wrote :

Had this crash on a Lenovo T500. I had just unplugged (and plugged back in) with lid closed and screensaver on.

Martin Pitt (pitti) wrote :

I stared at the stack trace, and my best theory right now is that it crashes in gpm_disks_register (GpmDisks *disks, guint timeout), when dbus_g_proxy_call(DriveSetAllSpindownTimeouts) fails but doesn't set error.

Changed in gnome-power-manager (Ubuntu):
status: New → Confirmed
importance: Medium → High
Martin Pitt (pitti) wrote :

Right, in fact the stack trace is absolutely right.

Changed in gnome-power-manager (Ubuntu):
status: Confirmed → In Progress
assignee: nobody → Martin Pitt (pitti)
Martin Pitt (pitti) wrote :

Patch sent to upstream for review.

Changed in gnome-power-manager (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-power-manager - 2.28.0-0ubuntu5

---------------
gnome-power-manager (2.28.0-0ubuntu5) karmic; urgency=low

  * Add 01-segfault-in-gpm_disks_register.patch: Fix crash when
    dbus_g_proxy_call() returned FALSE without setting error. (LP: #431023)

 -- Martin Pitt <email address hidden> Tue, 13 Oct 2009 23:53:22 +0200

Changed in gnome-power-manager (Ubuntu):
status: Fix Committed → Fix Released

FYI

Changed in gnome-power:
importance: Unknown → High
status: Unknown → Fix Released
johnhamelink (johnhamelink) wrote :

I have this bug on 11.04 when unplugging my laptop. I have a Toshiba Satellite pro c650d.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.